summaryrefslogtreecommitdiffstats
path: root/source.local/l/notify-python
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
committer Eric Hameleers <alien@slackware.com>2013-04-06 19:43:55 +0200
commit55bce4decbbdde684c63507f88f4f33694579f4f (patch)
tree409994b26efea8c2a9f65206de616bed4f931d25 /source.local/l/notify-python
parentb100c7c57e8a1363adfffe22f68b6429b9576dd3 (diff)
downloadalienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.gz
alienarm-55bce4decbbdde684c63507f88f4f33694579f4f.tar.xz
Update to Alien's ARM which allows XFCE to run on an ARM ChromeBook.
This large update brings Alien's ARM repository almost to the same level of package versions in slackware-current. THese updates were needed to make it possible to start a functional XFCE session on Samsung's ARM ChromeBook (XE303C12).
Diffstat (limited to 'source.local/l/notify-python')
-rw-r--r--source.local/l/notify-python/libnotify07.patch.gzbin0 -> 460 bytes
-rwxr-xr-xsource.local/l/notify-python/notify-python.SlackBuild66
-rw-r--r--source.local/l/notify-python/slack-desc2
3 files changed, 36 insertions, 32 deletions
diff --git a/source.local/l/notify-python/libnotify07.patch.gz b/source.local/l/notify-python/libnotify07.patch.gz
new file mode 100644
index 0000000..7cf230f
--- /dev/null
+++ b/source.local/l/notify-python/libnotify07.patch.gz
Binary files differ
diff --git a/source.local/l/notify-python/notify-python.SlackBuild b/source.local/l/notify-python/notify-python.SlackBuild
index 55a4a08..5d8577b 100755
--- a/source.local/l/notify-python/notify-python.SlackBuild
+++ b/source.local/l/notify-python/notify-python.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for notify-python
# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
-# Copyright 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,40 +23,41 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+# Modified 2013 by Eric Hameleers <alien at slackware.com> for ARM port.
PKGNAM=notify-python
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
-
-# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
-if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
- esac
-fi
+VERSION=${VERSION:-0.1.1}
+BUILD=${BUILD:-3}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
- LIBDIRSUFFIX=""
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
+ # Automatically determine the architecture we're building on:
+ if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ fi
fi
case "$ARCH" in
@@ -80,6 +81,9 @@ chmod -R u+w,go+r-w,a-s .
# Fix http://trac.galago-project.org/ticket/121
rm -f src/pynotify.c
+# Fix build with libnotify-0.7 (thanks, Fedora)
+zcat $CWD/libnotify07.patch.gz | patch -p1 || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -94,7 +98,7 @@ make install-strip DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
AUTHORS COPYING INSTALL NEWS README \
- $PKG/usr/doc/$PKGNAM-$VERSION
+ $PKG/usr/doc/$PKGNAM-$VERSION
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
diff --git a/source.local/l/notify-python/slack-desc b/source.local/l/notify-python/slack-desc
index 3d52503..e7718b4 100644
--- a/source.local/l/notify-python/slack-desc
+++ b/source.local/l/notify-python/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
notify-python: notify-python (Python bindings for libnotify)
notify-python:
notify-python: The notify-python package contains bindings to use libnotify with